﻿@model IList<App.Areas.User.Class.TestName>

@{Html.RenderAction("SidemenuProfil", "Menu");}

<div class="dashboard-wrapper">
    <div class="container-fluid dashboard-content">
        <h2>Vaše Testy</h2>
        @if (Model.Count != 0)
        {
            <table class="table">
                <thead class="thead-dark">
                    <tr>
                        <th scope="col">Název článku</th>
                        <th scope="col">Datum</th>
                        <th scope="col">Body</th>
                        <th scope="col">Úspěšnost</th>
                    </tr>
                </thead>

                <tbody>
                    @foreach (var test in Model)
                    {
                        var uspesnost = test.TestFinished.Score * 100 / test.TestFinished.MaxScore;
                        var style = uspesnost >= 50 ? "Green" : "Red";
                        <tr style="@style">
                            <td>@Ajax.ActionLink(test.Article.Name, "Detail", "Text", new { id = test.Article.Id }, new AjaxOptions() { UpdateTargetId = "dynamicContent" })</td>
                            <td>@test.TestFinished.CompletingTest</td>
                            <td>@test.TestFinished.Score/@test.TestFinished.MaxScore</td>
                            <td style="color: @style">@uspesnost%</td>
                        </tr>
                    }
                </tbody>
            </table>
        }
        else
        {
            <p>Zatím jste nevyplnili žádný test.</p>
        }

        @if (ViewBag.Pages > 1)
        {
            <ul class="pagination">
                @for (int i = 1; i <= ViewBag.Pages; i++)
                {
                    <li class=@(ViewBag.CurrentPage == i ? "active" : "")>
                        @Ajax.ActionLink(i.ToString(), "FinishedTestList", new { page = i }, new AjaxOptions() { InsertionMode = InsertionMode.Replace, UpdateTargetId = "dynamicContent" }, new { @class = "page-link" })
                    </li>
                }
            </ul>
        }
    </div>
</div>